#!/bin/sh
#
# Health check of Fuseki and cron
#

# checks Fuseki's ping endpoint
check_fuseki() {
  (curl --fail --silent http://127.0.0.1:3030/$/ping > /dev/null)

  # return exit code of curl call
  return $?
}

# checks if the cron daemon process exists
CRON_PID_FILE=/var/run/crond.pid
check_cron() {
  if [ -s $CRON_PID_FILE ]; then
    PID=$(cat $CRON_PID_FILE)
    if [ -d /proc/$PID ]; then
      # cron is running
      return 0
    fi
  fi

  # cron is not running
  return 1
}

(check_fuseki && check_cron) || exit 1
